<!DOCTYPE html>
<html>
<head>
	<title>Bierlijst</title>
	{% load static %}
	
	<script type="text/javascript" src="{% static 'bierlijst/jquery/jquery.mobile-1.4.5.min.js' %}"></script>
	
	
	<meta name="viewport" content="width=device-width, initial-scale=1"> 
	<link rel="stylesheet" href="{% static 'bierlijst/jquery/jquery.mobile-1.4.5.min.css' %}" />
	<script type="text/javascript" src="{% static 'bierlijst/jquery/jquery.min.js' %}"></script>
	
	
	<link rel="stylesheet" type="text/css" href="{% static 'bierlijst/table.css' %}">
</head>
<body>

	<h1>{{ resident.name }}</h1>
	
	<center>
		Statiegeld : 
		{% if resident.statiegeld < 0 %}
			<span class="red">&euro; {{ resident.statiegeld }}</span>
		{% else %}
			<span class="green">&euro; {{ resident.statiegeld }}</span>
		{% endif %}<br>
		Bank balance : 
			<span class="green">&euro; {{ bank_balance }}</span>
	</center>
	<br>
	<form style="text-align:center" action="{% url 'bierlijst:personalTransactions_action' resident.id %}" method="POST" id="amount_form">
		<label for="number-1">Amount &euro; :</label>
		<input type="number" data-clear-btn="false" name="amount" id="number-1" value="0.0">
		<input type="hidden" name="txtype" id="txtype" value="-">
	</form>
	
	<br>&nbsp;<br>&nbsp;
	
	<button class="ui-btn" onclick="document.getElementById('txtype').value = 'deposit';document.getElementById('amount_form').submit();">Deposit</button>
	
	<br>&nbsp;
	
	<button class="ui-btn" onclick="if({{ bank_balance }} >= document.getElementById('number-1').value) {document.getElementById('txtype').value = 'withdraw';document.getElementById('amount_form').submit();} else {alert('Insufficient bank balance.');}">Withdraw</button>
	
	
	<br>&nbsp;<br>&nbsp;
	
	<button class="ui-btn ui-icon-delete ui-btn-icon-left ui-shadow-icon ui-btn-b" onclick="location.href = {% url 'bierlijst:index' %}">Go back</button>
</body>
</html>
